package de.samdev.colorrunner.actors;

import com.badlogic.gdx.graphics.Texture;

public abstract class CRGravityActor extends CRActor{
	public static float GRAVITY_FORCE = 1.5f;
	public static float TERMINAL_VELOCITY = 150;

	private float velocity_Y = 0;
	
	public CRGravityActor(Texture _tex) {
		super(_tex);
	}

	@Override
	public void act(float delta) {
		super.act(delta);
		
		doGravity();
	}

	private void doGravity() {
		velocity_Y -= GRAVITY_FORCE;
		
		if (-velocity_Y > TERMINAL_VELOCITY) {
			velocity_Y = -TERMINAL_VELOCITY;
		}
		
		if (getY() <= 0 && velocity_Y < 0) velocity_Y = 0;
		
		moveBy(0, velocity_Y);
	}
	
	protected void doGravitationalJump(float force) {
		velocity_Y += force;
	}
}
