package de.samdev.colorrunner.actors;

import com.badlogic.gdx.graphics.Texture;

import de.samdev.colorrunner.assets.CRAssets;
import de.samdev.colorrunner.input.SwipeDirection;

public class CRPlayer extends CRGravityActor {
	private SwipeDirection colorState = SwipeDirection.UP;
	
	private static float FORWARD_SPEED = 100;
	private static float JUMP_FORCE = 25;
	
	public CRPlayer() {
		super(CRAssets.TEX_PLAYER_UP);
		
//		setTouchable(Touchable.enabled);
	}

	@Override
	public void act(float delta) {
		super.act(delta);
		
		moveBy(delta * FORWARD_SPEED, 0);
	}
	
	@Override
	public Texture getTexture() {
		switch (colorState) {
			case UP: return CRAssets.TEX_PLAYER_UP;
			case RIGHT: return CRAssets.TEX_PLAYER_RIGHT;
			case DOWN: return CRAssets.TEX_PLAYER_DOWN;
			case LEFT: return CRAssets.TEX_PLAYER_LEFT;

			default: return null;
		}
	}

	public void switchColorState(SwipeDirection sd) {
		colorState = sd;
	}
	
	public void jump() {
		doGravitationalJump(JUMP_FORCE);
	}
}
